# pcre2_set_character_tables man page

Return to the PCRE2 index page.

This page is part of the PCRE2 HTML documentation. It was generated automatically from the original man page. If there is any nonsense in it, please consult the man page, in case the conversion went wrong.
SYNOPSIS

#include <pcre2.h>

int pcre2_set_character_tables(pcre2_compile_context *ccontext, const unsigned char *tables);

DESCRIPTION

This function sets a pointer to custom character tables within a compile context. The second argument must be the result of a call to pcre2_maketables() or NULL to request the default tables. The result is always zero.

There is a complete description of the PCRE2 native API in the pcre2api page and a description of the POSIX API in the pcre2posix page.

Return to the PCRE2 index page.